POST v1/payment/license/invoices?isAll={isAll}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
isAll

boolean

Default value is False

Body Parameters

LicenseInvoiceRequestDto
NameDescriptionTypeAdditional information
UserId

string

None.

ProviderId

string

None.

Request Formats

application/json, text/json

Sample:
{
  "userId": "sample string 1",
  "providerId": "sample string 2"
}

application/xml, text/xml

Sample:
<LicenseInvoiceRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/OrionDAL.ApiModels.Version1">
  <ProviderId>sample string 2</ProviderId>
  <UserId>sample string 1</UserId>
</LicenseInvoiceRequestDto>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

ApiResponseNewOfLicenseInvoiceResponseMainDto
NameDescriptionTypeAdditional information
status

integer

None.

message

string

None.

data

LicenseInvoiceResponseMainDto

None.

Response Formats

application/json, text/json

Sample:
{
  "status": 1,
  "message": "sample string 2",
  "data": {
    "invoices": [
      {
        "id": "8e98198e-aa5d-458b-a847-575de7ef723f",
        "providerID": "6077e20a-0f25-4213-ab90-22df6ff5cbca",
        "divisionID": "sample string 2",
        "month": 3,
        "year": 4,
        "paymentDate": "sample string 5",
        "dueDate": "sample string 6",
        "billDate": "sample string 7",
        "chargeID": "sample string 8",
        "paymentID": "sample string 9",
        "receiptUrl": "sample string 10",
        "paymentType": "sample string 11",
        "isPaid": true,
        "isWaived": true,
        "totalAmount": 14.0,
        "finalAmount": 15.0,
        "breakup": [
          {
            "id": "010974b5-8cf9-4883-a10a-2a0b73c97c06",
            "billMasterID": "944922fa-76d2-4bea-905c-009b1010b226",
            "paymentHead": "sample string 3",
            "breakupAmount": 4.0,
            "finalAmount": 5.0,
            "paymentDate": "sample string 6",
            "quantity": 7,
            "isPaid": true
          },
          {
            "id": "010974b5-8cf9-4883-a10a-2a0b73c97c06",
            "billMasterID": "944922fa-76d2-4bea-905c-009b1010b226",
            "paymentHead": "sample string 3",
            "breakupAmount": 4.0,
            "finalAmount": 5.0,
            "paymentDate": "sample string 6",
            "quantity": 7,
            "isPaid": true
          }
        ]
      },
      {
        "id": "8e98198e-aa5d-458b-a847-575de7ef723f",
        "providerID": "6077e20a-0f25-4213-ab90-22df6ff5cbca",
        "divisionID": "sample string 2",
        "month": 3,
        "year": 4,
        "paymentDate": "sample string 5",
        "dueDate": "sample string 6",
        "billDate": "sample string 7",
        "chargeID": "sample string 8",
        "paymentID": "sample string 9",
        "receiptUrl": "sample string 10",
        "paymentType": "sample string 11",
        "isPaid": true,
        "isWaived": true,
        "totalAmount": 14.0,
        "finalAmount": 15.0,
        "breakup": [
          {
            "id": "010974b5-8cf9-4883-a10a-2a0b73c97c06",
            "billMasterID": "944922fa-76d2-4bea-905c-009b1010b226",
            "paymentHead": "sample string 3",
            "breakupAmount": 4.0,
            "finalAmount": 5.0,
            "paymentDate": "sample string 6",
            "quantity": 7,
            "isPaid": true
          },
          {
            "id": "010974b5-8cf9-4883-a10a-2a0b73c97c06",
            "billMasterID": "944922fa-76d2-4bea-905c-009b1010b226",
            "paymentHead": "sample string 3",
            "breakupAmount": 4.0,
            "finalAmount": 5.0,
            "paymentDate": "sample string 6",
            "quantity": 7,
            "isPaid": true
          }
        ]
      }
    ]
  }
}

application/xml, text/xml

Sample:
<ApiResponseNewOfLicenseInvoiceResponseMainDtoqfWPY2Au xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/OrionDAL.ApiModels.Version1">
  <data>
    <Result>
      <Message>sample string 1</Message>
      <Status>2</Status>
    </Result>
    <invoices>
      <LicenseInvoiceResponseDto>
        <BillDate>sample string 7</BillDate>
        <ChargeID>sample string 8</ChargeID>
        <DivisionID>sample string 2</DivisionID>
        <DueDate>sample string 6</DueDate>
        <FinalAmount>15</FinalAmount>
        <ID>8e98198e-aa5d-458b-a847-575de7ef723f</ID>
        <IsPaid>true</IsPaid>
        <IsWaived>true</IsWaived>
        <Month>3</Month>
        <PaymentDate>sample string 5</PaymentDate>
        <PaymentID>sample string 9</PaymentID>
        <PaymentType>sample string 11</PaymentType>
        <ProviderID>6077e20a-0f25-4213-ab90-22df6ff5cbca</ProviderID>
        <ReceiptUrl>sample string 10</ReceiptUrl>
        <TotalAmount>14</TotalAmount>
        <Year>4</Year>
        <breakup>
          <LicenseInvoiceBreakupResponseDto>
            <BillMasterID>944922fa-76d2-4bea-905c-009b1010b226</BillMasterID>
            <BreakupAmount>4</BreakupAmount>
            <FinalAmount>5</FinalAmount>
            <ID>010974b5-8cf9-4883-a10a-2a0b73c97c06</ID>
            <IsPaid>true</IsPaid>
            <PaymentDate>sample string 6</PaymentDate>
            <PaymentHead>sample string 3</PaymentHead>
            <Quantity>7</Quantity>
          </LicenseInvoiceBreakupResponseDto>
          <LicenseInvoiceBreakupResponseDto>
            <BillMasterID>944922fa-76d2-4bea-905c-009b1010b226</BillMasterID>
            <BreakupAmount>4</BreakupAmount>
            <FinalAmount>5</FinalAmount>
            <ID>010974b5-8cf9-4883-a10a-2a0b73c97c06</ID>
            <IsPaid>true</IsPaid>
            <PaymentDate>sample string 6</PaymentDate>
            <PaymentHead>sample string 3</PaymentHead>
            <Quantity>7</Quantity>
          </LicenseInvoiceBreakupResponseDto>
        </breakup>
      </LicenseInvoiceResponseDto>
      <LicenseInvoiceResponseDto>
        <BillDate>sample string 7</BillDate>
        <ChargeID>sample string 8</ChargeID>
        <DivisionID>sample string 2</DivisionID>
        <DueDate>sample string 6</DueDate>
        <FinalAmount>15</FinalAmount>
        <ID>8e98198e-aa5d-458b-a847-575de7ef723f</ID>
        <IsPaid>true</IsPaid>
        <IsWaived>true</IsWaived>
        <Month>3</Month>
        <PaymentDate>sample string 5</PaymentDate>
        <PaymentID>sample string 9</PaymentID>
        <PaymentType>sample string 11</PaymentType>
        <ProviderID>6077e20a-0f25-4213-ab90-22df6ff5cbca</ProviderID>
        <ReceiptUrl>sample string 10</ReceiptUrl>
        <TotalAmount>14</TotalAmount>
        <Year>4</Year>
        <breakup>
          <LicenseInvoiceBreakupResponseDto>
            <BillMasterID>944922fa-76d2-4bea-905c-009b1010b226</BillMasterID>
            <BreakupAmount>4</BreakupAmount>
            <FinalAmount>5</FinalAmount>
            <ID>010974b5-8cf9-4883-a10a-2a0b73c97c06</ID>
            <IsPaid>true</IsPaid>
            <PaymentDate>sample string 6</PaymentDate>
            <PaymentHead>sample string 3</PaymentHead>
            <Quantity>7</Quantity>
          </LicenseInvoiceBreakupResponseDto>
          <LicenseInvoiceBreakupResponseDto>
            <BillMasterID>944922fa-76d2-4bea-905c-009b1010b226</BillMasterID>
            <BreakupAmount>4</BreakupAmount>
            <FinalAmount>5</FinalAmount>
            <ID>010974b5-8cf9-4883-a10a-2a0b73c97c06</ID>
            <IsPaid>true</IsPaid>
            <PaymentDate>sample string 6</PaymentDate>
            <PaymentHead>sample string 3</PaymentHead>
            <Quantity>7</Quantity>
          </LicenseInvoiceBreakupResponseDto>
        </breakup>
      </LicenseInvoiceResponseDto>
    </invoices>
  </data>
  <message>sample string 2</message>
  <status>1</status>
</ApiResponseNewOfLicenseInvoiceResponseMainDtoqfWPY2Au>